Create a counterpart bank account

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

counterpart_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
countryenumRequired
currencyenumRequired
account_holder_namestringOptional
The name of the person or business that owns this bank account. Required for US bank accounts to accept ACH payments.
account_numberstringOptional
The bank account number. Required for US bank accounts to accept ACH payments. US account numbers contain 9 to 12 digits. UK account numbers typically contain 8 digits.
bicstringOptional<=11 characters

The BIC/SWIFT code of the bank.

ibanstringOptional<=34 characters
The IBAN of the bank account.
is_default_for_currencybooleanOptionalDefaults to false
namestringOptional<=200 characters
partner_metadatamap from strings to anyOptional
Metadata for partner needs.
routing_numberstringOptional

The bank’s routing transit number (RTN). Required for US bank accounts to accept ACH payments. US routing numbers consist of 9 digits.

sort_codestringOptional
The bank's sort code.

Response

Successful Response
idstringformat: "uuid"
counterpart_idstringformat: "uuid"
countryenum
currencyenum
open_banking_verification_statusenum
Open banking verification status
account_holder_namestring
The name of the person or business that owns this bank account. Required for US bank accounts to accept ACH payments.
account_numberstring
The bank account number. Required for US bank accounts to accept ACH payments. US account numbers contain 9 to 12 digits. UK account numbers typically contain 8 digits.
bicstring<=11 characters

The BIC/SWIFT code of the bank.

ibanstring<=34 characters
The IBAN of the bank account.
is_default_for_currencybooleanDefaults to false
namestring<=200 characters
open_banking_verification_errorstring
Last verification error message
partner_metadatamap from strings to any
Metadata for partner needs.
routing_numberstring

The bank’s routing transit number (RTN). Required for US bank accounts to accept ACH payments. US routing numbers consist of 9 digits.

sort_codestring
The bank's sort code.

Errors

401
Post Counterparts ID Bank Accounts Request Unauthorized Error
403
Post Counterparts ID Bank Accounts Request Forbidden Error
404
Post Counterparts ID Bank Accounts Request Not Found Error
422
Post Counterparts ID Bank Accounts Request Unprocessable Entity Error
429
Post Counterparts ID Bank Accounts Request Too Many Requests Error